package com.prolog.upcloud.base.wh.operate.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 库存调整
 * @Date 2021-04-07
 */
@ApiModel
public class WmsAdjustAddVO implements Serializable {


	private static final long serialVersionUID = 6568260147601311364L;
	@ApiModelProperty(value = "仓配中心ID")
	private String dcId;

	@ApiModelProperty(value = "仓库ID")
	private String warehouseId;

	@ApiModelProperty(value = "货主ID")
	private String cargoOwnerId;

	@ApiModelProperty(value = "货位ID")
	private String whLocatorId;

	@ApiModelProperty(value = "商品ID")
	private String itemId;

	@ApiModelProperty(value = "批次id")
	private String batchId;

	@ApiModelProperty(value = "生产日期")
	private Date productionDate;

	@ApiModelProperty(value = "有效期至")
	private Date batchExpiredDate;

	@ApiModelProperty(value = "数量(作废)")
	private BigDecimal quantity;

	@ApiModelProperty(value = "包装含量（最大）")
	private BigDecimal conversionRate;

	@ApiModelProperty(value = "商品批次编号")
	private String batchNum;

	@ApiModelProperty(value = "单位(最大)")
	private String uom;

	@ApiModelProperty(value = "库存状态（1合格/2不合格/3待检/4退货/5代管）")
	private String stockStatus;

	@ApiModelProperty(value = "来源类型（0：计划盘点 1：无计划盘点 2：WMS调整）")
	private String adjustType;

	// 批号,用于调整批号MANUFACTURER_LOT_NUM
	@ApiModelProperty(value = "商品批号")
	private String manufacturerLotNum;

	@ApiModelProperty(value = "商品老批号")
	private String manufacturerLotNumPre;

	@ApiModelProperty(value = "损溢数量")
	private BigDecimal pieceQuantity;

	@ApiModelProperty(value = "账存数(盘前)")
	private BigDecimal pieceAccount;

	@ApiModelProperty(value = "实际数(盘后)")
	private BigDecimal pieceAccountFact;

	@ApiModelProperty(value = "0批号调整1数量调整")
	private Integer type;

	@ApiModelProperty(value = "新批次id")
	private String batchIdNew;

	@ApiModelProperty(value = "新批次Num")
	private String batchNumNew;

	@ApiModelProperty(value = "新生产日期")
	private Date productionDateNew;

	@ApiModelProperty(value = "新有效期至")
	private Date batchExpiredDateNew;

	@ApiModelProperty(value = "是否是是新增账存(0否1是)")
	private Integer isAdd;

	@ApiModelProperty(value = "单据id")
	private String adjustHeaderId;

	@ApiModelProperty(value = "单据编号")
	private String autoBillNum;

	@ApiModelProperty(value = "损溢原因")
	private String segment1;

	@ApiModelProperty(value = "显示生产日期")
	private String productionDateShow;

	@ApiModelProperty(value = "显示有效期至")
	private String batchExpiredDateShow;

	@ApiModelProperty(value = "是否是损溢代管库存(0否1是)")
	private Integer isHost;

	@ApiModelProperty(value = "企业ID")
	private String enterpriseId;

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public Integer getIsHost() {
		return isHost;
	}

	public void setIsHost(Integer isHost) {
		this.isHost = isHost;
	}

	public String getProductionDateShow() {
		return productionDateShow;
	}

	public void setProductionDateShow(String productionDateShow) {
		this.productionDateShow = productionDateShow;
	}

	public String getBatchExpiredDateShow() {
		return batchExpiredDateShow;
	}

	public void setBatchExpiredDateShow(String batchExpiredDateShow) {
		this.batchExpiredDateShow = batchExpiredDateShow;
	}

	public String getAdjustHeaderId() {
		return adjustHeaderId;
	}

	public void setAdjustHeaderId(String adjustHeaderId) {
		this.adjustHeaderId = adjustHeaderId;
	}

	public String getAutoBillNum() {
		return autoBillNum;
	}

	public void setAutoBillNum(String autoBillNum) {
		this.autoBillNum = autoBillNum;
	}

	public String getSegment1() {
		return segment1;
	}

	public void setSegment1(String segment1) {
		this.segment1 = segment1;
	}

	public Integer getIsAdd() {
		return isAdd;
	}

	public void setIsAdd(Integer isAdd) {
		this.isAdd = isAdd;
	}

	public Date getProductionDateNew() {
		return productionDateNew;
	}

	public void setProductionDateNew(Date productionDateNew) {
		this.productionDateNew = productionDateNew;
	}

	public Date getBatchExpiredDateNew() {
		return batchExpiredDateNew;
	}

	public void setBatchExpiredDateNew(Date batchExpiredDateNew) {
		this.batchExpiredDateNew = batchExpiredDateNew;
	}

	public String getBatchNumNew() {
		return batchNumNew;
	}

	public void setBatchNumNew(String batchNumNew) {
		this.batchNumNew = batchNumNew;
	}

	public String getBatchIdNew() {
		return batchIdNew;
	}

	public void setBatchIdNew(String batchIdNew) {
		this.batchIdNew = batchIdNew;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getManufacturerLotNumPre() {
		return manufacturerLotNumPre;
	}

	public void setManufacturerLotNumPre(String manufacturerLotNumPre) {
		this.manufacturerLotNumPre = manufacturerLotNumPre;
	}

	public BigDecimal getPieceQuantity() {
		return pieceQuantity;
	}

	public void setPieceQuantity(BigDecimal pieceQuantity) {
		this.pieceQuantity = pieceQuantity;
	}

	public BigDecimal getPieceAccount() {
		return pieceAccount;
	}

	public void setPieceAccount(BigDecimal pieceAccount) {
		this.pieceAccount = pieceAccount;
	}

	public BigDecimal getPieceAccountFact() {
		return pieceAccountFact;
	}

	public void setPieceAccountFact(BigDecimal pieceAccountFact) {
		this.pieceAccountFact = pieceAccountFact;
	}

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public String getAdjustType() {
		return adjustType;
	}

	public void setAdjustType(String adjustType) {
		this.adjustType = adjustType;
	}

	public String getStockStatus() {
		return stockStatus;
	}

	public void setStockStatus(String stockStatus) {
		this.stockStatus = stockStatus;
	}

	public String getUom() {
		return uom;
	}

	public void setUom(String uom) {
		this.uom = uom;
	}

	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public Date getBatchExpiredDate() {
		return batchExpiredDate;
	}

	public void setBatchExpiredDate(Date batchExpiredDate) {
		this.batchExpiredDate = batchExpiredDate;
	}

	public BigDecimal getQuantity() {
		return quantity;
	}

	public void setQuantity(BigDecimal quantity) {
		this.quantity = quantity;
	}

	public BigDecimal getConversionRate() {
		return conversionRate;
	}

	public void setConversionRate(BigDecimal conversionRate) {
		this.conversionRate = conversionRate;
	}

	public String getBatchNum() {
		return batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public String getDcId() {
		return dcId;
	}

	public void setDcId(String dcId) {
		this.dcId = dcId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getCargoOwnerId() {
		return cargoOwnerId;
	}

	public void setCargoOwnerId(String cargoOwnerId) {
		this.cargoOwnerId = cargoOwnerId;
	}

	public String getWhLocatorId() {
		return whLocatorId;
	}

	public void setWhLocatorId(String whLocatorId) {
		this.whLocatorId = whLocatorId;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public Date getProductionDate() {
		return productionDate;
	}

	public void setProductionDate(Date productionDate) {
		this.productionDate = productionDate;
	}
}
